- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::BillboardSet::SortByDirectionFunctor Struct Reference

Sort by direction functor. More...

`#include <OgreBillboardSet.h>`

List of all members.

## Public Member Functions
| SortByDirectionFunctor (const Vector3 &dir)
float | operator() (Billboard *bill) const
## Public Attributes
Vector3 | sortDir
| Direction to sort in.

## Detailed Description

Sort by direction functor.

Definition at line 260 of file OgreBillboardSet.h.

## Constructor & Destructor Documentation

Ogre::BillboardSet::SortByDirectionFunctor::SortByDirectionFunctor | ( | const Vector3 & | dir | ) |

## Member Function Documentation

float Ogre::BillboardSet::SortByDirectionFunctor::operator() | ( | Billboard * | bill | ) | const

## Member Data Documentation

Vector3 Ogre::BillboardSet::SortByDirectionFunctor::sortDir

Direction to sort in.

Definition at line 263 of file OgreBillboardSet.h.

The documentation for this struct was generated from the following file:

- OgreBillboardSet.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:49:13 2008